Subject: Re: Why not #define OUTBOUND_NETWORK?

From: Jay Scott <[email-masked]>
Date: Sun, 25 Oct 1992 17:40:53 -0800

There is another risk to open_network_connection(), though
I don't know how serious it might be. MOO players usually
enjoy some amount of anonymity. From a cracker's point of view,
that makes it sort of like a dial-up telnet server: a
handy obstacle to throw in the way of back-trace attempts.

There are plenty of dial-up telnet servers in the world, so
I guess it's not a world-shaking danger. You might consider
restricting the allowed connections in some way (Thou Shalt
Connect Only to Wizard-Approved Sites). If I were running a
public MOO, I'd log all the open_network_connection()
calls, just in case it turned out helpful someday.

	Frand
	[email-masked]